add_library(
	NostalgiaCore
		gfx.cpp
		tilesheet.cpp
)

add_subdirectory(gba)
if(NOT BUILDCORE_TARGET STREQUAL "gba")
	add_subdirectory(opengl)
endif()

target_include_directories(
	NostalgiaCore PUBLIC
		../include
)

target_link_libraries(
	NostalgiaCore PUBLIC
		Turbine
)

add_subdirectory(keel)
if(NOSTALGIA_BUILD_STUDIO)
	add_subdirectory(studio)
endif()

install(
	TARGETS
		NostalgiaCore
	DESTINATION
		LIBRARY DESTINATION lib
		ARCHIVE DESTINATION lib
)
